﻿/*----------------------------------------------------------
The base color for this template is #5c87b2. If you'd like
to use a different color start by replacing all instances of
#5c87b2 with your new color.
----------------------------------------------------------*/
html {
    height: 100%
}

body {
    background-color: white;
    /*background-color: #5c87b2;*/
    font-size: 75%;
    font-family: Verdana, Tahoma, Arial, "Helvetica Neue", Helvetica, Sans-Serif;
    margin: 0;
    padding: 0;
    color: #696969;
    height: 100%;
    overflow: hidden;
}

a:link {
    color: #034af3;
    text-decoration: underline;
}

a:visited {
    color: #505abc;
}

a:hover {
    color: #1d60ff;
    text-decoration: none;
}

a:active {
    color: #12eb87;
}

p, ul {
    margin-bottom: 20px;
    line-height: 1.6em;
}

/* HEADINGS   
----------------------------------------------------------*/
h1, h2, h3, h4, h5, h6 {
    font-size: 1.5em;
    color: #000;
}

h1 {
    font-size: 2em;
    padding-bottom: 0;
    margin-bottom: 0;
}

h2 {
    padding: 0 0 10px 0;
}

h3 {
    font-size: 1.2em;
}

h4 {
    font-size: 1.1em;
}

h5, h6 {
    font-size: 1em;
}

/* this rule styles <h2> tags that are the 
first child of the left and right table columns */
.rightColumn > h1, .rightColumn > h2, .leftColumn > h1, .leftColumn > h2 {
    margin-top: 0;
}

/* PRIMARY LAYOUT ELEMENTS   
----------------------------------------------------------*/

/* you can specify a greater or lesser percentage for the 
page width. Or, you can specify an exact pixel width. */
.page {
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    height: 100%;
    display: flex;
    flex-direction: column;
    overflow: auto;
}

#header {
    position: relative;
    margin-bottom: 0px;
    color: #000;
    background-color: #28598e;
    padding: 10px 10px 0 10px;
}

    #header h1 {
        font-weight: bold;
        padding: 5px 0;
        margin: 0;
        color: #fff;
        border: none;
        line-height: 2em;
        font-size: 32px !important;
    }

#main {
    padding: 30px 17px 10px 15px;
    background-color: #fff;
    /*margin-bottom: 30px;*/
    _height: 1px; /* only IE6 applies CSS properties starting with an underscore */
    /*overflow:hidden;*/
    height: 100%;
    display: flex;
    flex-direction: column;
    overflow: auto;
}

/*The page have a side menu*/
.main-side-menu {
    height: 100%;
    overflow: hidden;
    display: flex;
}

    .main-side-menu .col-2, .main-side-menu .col-10 {
        overflow: auto;
        padding: 0px;
        height: 100%;
    }

    .main-side-menu .col-10 {
        padding-left: 10px;
    }

    .main-side-menu #sections-side-bar {
        width: 100% !important;
        margin-bottom: 10px;
    }

    .main-side-menu fieldset {
        padding-left: 0px !important;
        padding-right: 0px !important;
    }

    .main-side-menu ol {
        padding-left: 0;
        list-style: none;
    }

#sections-side-bar .col-2 {
    overflow: hidden !important;
}

/*.main-side-menu li {
   display:flex;
   width:100%;
   flex-direction: column;
}*/
.main-side-menu .row {
    padding: 5px 12px;
    border-radius: 4px;
    width: 100%;
    height: 100%;
    cursor: pointer;
}

.main-side-menu a {
    color: #428bca;
    text-decoration: none;
    background: 0 0;
}

@media screen and (max-width: 1536px) {
    .main-side-menu a {
        font-size: 10px;
    }
}

.main-side-menu li .row:hover {
    background-color: #eee;
    cursor: pointer;
}

.main-side-menu .active {
    background-color: #428bca !important;
}

    .main-side-menu .active .section-done, .main-side-menu .active .section-unfinish {
        color: #00ff3a;
    }

    .main-side-menu .active a {
        color: #fff;
    }

.section-unfinish {
    font-size: 20px;
    color: #28a745;
}

.section-done {
    font-size: 20px;
    color: #28a745;
}

#footer {
    color: #999;
    padding: 0px 0;
    text-align: center;
    line-height: normal;
    margin: 0;
    font-size: .9em;
}



/* FORM LAYOUT ELEMENTS   
----------------------------------------------------------*/

fieldset {
    border: 0;
    /*border:1px solid #ddd;*/
    padding: 0 1.4em 1.4em 1.4em;
    margin: 0 0 1.5em 0;
}

legend {
    font-size: 1.2em;
    font-weight: bold;
}

textarea {
    min-height: 75px;
}

input[type="text"] {
    border: 1px solid #CCC;
}

input[type="password"] {
    border: 1px solid #CCC;
}

/* TABLE
----------------------------------------------------------*/

table {
    border-collapse: collapse;
}

    table tbody {
        border: solid 1px #e8eef4;
        border-collapse: collapse;
    }

    table td {
        padding: 5px;
        border: solid 1px #e8eef4;
    }

    table th {
        padding: 6px 5px;
        text-align: left;
        background-color: #e8eef4;
        border: solid 1px #e8eef4;
        font-weight: normal;
        font-size: 7pt;
    }

/* MISC  
----------------------------------------------------------*/
.wrap {
    display: flex;
    flex-direction: column;
    height: 100%;
    overflow: hidden;
}

.clear {
    clear: both;
}

.error {
    color: Red;
}

#menucontainer {
    margin-top: 40px;
}

div#title {
    display: block;
    float: left;
    text-align: left;
}

#logindisplay {
    font-size: 1.1em;
    display: block;
    text-align: right;
    color: White;
}

    #logindisplay a:link {
        color: white;
        text-decoration: underline;
    }

    #logindisplay a:visited {
        color: white;
        text-decoration: underline;
    }

    #logindisplay a:hover {
        color: white;
        text-decoration: none;
    }

/* Styles for validation helpers
-----------------------------------------------------------*/
.field-validation-error {
    color: #ff0000;
}

.field-validation-valid {
    display: none;
}

.input-validation-error {
    border: 1px solid #ff0000;
    background-color: #ffeeee;
}

.validation-summary-errors {
    font-weight: bold;
    color: #ff0000;
}

.validation-summary-valid {
    display: none;
}

/* Styles for editor and display helpers
----------------------------------------------------------*/
.display-label,
.editor-label {
    margin: 1em 0 0 0;
}

.display-field,
.editor-field {
    margin: 0.5em 0 0 0;
}

.text-box {
    width: 30em;
}

    .text-box.multi-line {
        height: 6.5em;
    }

.tri-state {
    width: 6em;
}

.inputHintOverlay {
    color: #999;
    font-size: 12px;
}

.questions {
    border-width: 0;
    border-color: White;
    color: Black;
}

/*.tooltip-trigger
{
    display:inline;
}
.tooltip {
    position: relative;
    display: inline-block;
}

.tooltip .tooltiptext {
    display: none;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 5px 0;
    position: absolute;
    z-index: 1;
    background-color: #28598e;  
    top: -89px;
    left: 164%;
    padding: 10px;
    height:160px;
	width:320px;
}

.tooltip .tooltiptext::after {
    content: "";
    position: absolute;
    top: 50%;
    right: 100%;
    margin-top: 10px;
    border-width: 5px;
    border-style: solid;
    border-color: transparent #28598e transparent transparent;
}

.tooltip:hover .tooltiptext {
    display: inline;
}*/


/*.tooltip 
{
	display:none;
	background:transparent url(Images/white_arrow_big.png);
	font-size:12px;	
	height:160px;
	width:320px;
	padding:25px;
	color:black;	
}*/
.tooltiptext {
    display: none;
    position: absolute;
    border: 1px solid #333;
    background-color: #28598e;
    border-radius: 5px;
    padding: 10px;
    color: #fff;
    font-size: 12px Arial;
    z-index: 100;
}

#links {
    width: 100%;
    float: right;
    margin-left: 0;
    padding-left: 0;
}

    #links ol {
        list-style-type: none;
        margin-left: 0;
        padding-left: 0;
    }

    #links li {
        margin-bottom: 10px;
    }

/* --------------------  Question Sizes  ------------------------ */

.small {
    width: 75px;
}

.medium {
    width: 300px;
}

.large {
    width: 600px;
}

ol.radio-button-list {
    list-style-type: none;
    padding-left: 5px;
}

.question-header {
    padding: 6px 5px;
    text-align: left;
    background-color: #e8eef4;
    border: solid 1px #e8eef4;
    font-weight: bold;
}

.question-label {
    font-weight: bold;
    font-size: 10pt;
    white-space: pre-wrap;
}

a img {
    border: 0;
}

.questions-table {
    border: 0;
    width: 100%;
    border-collapse: separate;
}

    .questions-table td {
        border: 0;
        padding: 2px;
    }

.selfscoring-table {
    border: 0;
    border-collapse: separate;
}

    .selfscoring-table th {
        border: 0;
        padding: 2px;
    }

    .selfscoring-table td {
        border: 0;
        padding: 2px;
    }

td.subquestion-form {
    border-bottom: 1px solid silver;
}
/* ---------- Sections Side bar--------------------------- */

#sections-side-bar {
    width: 220px;
    float: left;
    margin-left: 0;
    padding-left: 0;
    font-size: 8pt;
}

    #sections-side-bar ol {
        list-style-type: none;
        margin-left: 0;
        padding-left: 0;
        margin: 5px 0 0 20px;
    }

    #sections-side-bar li {
        /*margin-bottom: 5px;
    padding-top: 2px;*/
        position: relative;
    }

#sections input[type="checkbox"] {
    color: black;
    border: 1px solid black;
}

.section-checkbox {
    display: inline;
    margin: 0 5px 0 -21px;
    position: absolute;
    top: 2px;
}

.required-mark {
    color: Red;
}


.FAhideHelp {
    display: none;
}

/*Modal CSS*/
/* The Modal (background) */
.modal {
    /*position: fixed; /* Stay in place */ */ z-index: 2; /* Sit on top */
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
}

.modal-backdrop {
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.66); /* Black w/ opacity */
    z-index: 1 !important;
    position: fixed;
    top: 0;
    left: 0;
}

#modal {
    display: none;
}

#modal-backdrop {
    display: none;
}
/* Modal Content */
.modal-content {
    background-color: #fefefe;
    margin: auto;
    /*padding: 20px;*/
    /*border: 1px solid #888;*/
    /*width: 580px;*/
    box-shadow: 5px 10px 28px #252424;
    border-radius: .25rem;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 2;
}

.modal-header {
    display: flex;
    flex-direction: row;
    padding: 10px;
    border-radius: .25rem .25rem 0px 0px;
    color: white;
}

.modal-header-color {
    background-color: #28598e !important;
    box-shadow: 0px 2px 9px #28598e;
}

.modal-header h3 {
    color: white;
}

.modal-body {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 10px;
    font-size: 16px;
    margin-top: 10px;
    margin-bottom: 10px;
}

    .modal-body p {
        text-align: center;
        align-items: center;
    }

.modal-footer {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    padding: 10px;
}
/* The Close Button */
.close-modal {
    color: #aaaaaa;
    font-size: 20px;
    font-weight: bold;
}

#span-close-modal {
    float: right;
    position: relative;
    left: 97%;
}

span.close-modal:hover,
span.close-modal:focus {
    color: white !important;
    text-decoration: none;
    cursor: pointer;
}

.btn {
    cursor: pointer;
    margin-right: 5px;
    display: inline-block;
    /*width: 10%;*/
    font-weight: 400;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    border: 1px solid transparent;
    padding: .375rem .75rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: .25rem;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

.btn-default {
    color: #333;
    background-color: #fff;
    border-color: #ccc;
}

    .btn-default:hover,
    .btn-default:focus,
    .btn-default:active,
    .btn-default.active,
    .open .dropdown-toggle.btn-default {
        color: #333;
        background-color: #ebebeb;
        border-color: #adadad;
    }

    .btn-default:active,
    .btn-default.active,
    .open .dropdown-toggle.btn-default {
        background-image: none;
    }

    .btn-default.disabled,
    .btn-default[disabled],
    fieldset[disabled] .btn-default,
    .btn-default.disabled:hover,
    .btn-default[disabled]:hover,
    fieldset[disabled] .btn-default:hover,
    .btn-default.disabled:focus,
    .btn-default[disabled]:focus,
    fieldset[disabled] .btn-default:focus,
    .btn-default.disabled:active,
    .btn-default[disabled]:active,
    fieldset[disabled] .btn-default:active,
    .btn-default.disabled.active,
    .btn-default[disabled].active,
    fieldset[disabled] .btn-default.active {
        background-color: #fff;
        border-color: #ccc;
    }

    .btn-default .badge {
        color: #fff;
        background-color: #333;
    }

.btn-primary {
    color: #fff;
    background-color: #007bff;
    border-color: #007bff;
}

    .btn-primary:hover {
        color: #fff;
        background-color: #0069d9;
        border-color: #0062cc;
    }

.btn:not(:disabled):not(.disabled) {
    cursor: pointer;
}

.btn-primary.focus, .btn-primary:focus {
    box-shadow: 0 0 0 0.2rem rgba(0,123,255,.5);
}

.btn-success {
    color: #fff;
    background-color: #28a745;
    border-color: #28a745;
}

    .btn-success:hover {
        color: #fff;
        background-color: #218838;
        border-color: #1e7e34;
    }

.btn-warning {
    color: #212529;
    background-color: #ffc107;
    border-color: #ffc107;
}

    .btn-warning:hover {
        color: #212529;
        background-color: #e0a800;
        border-color: #d39e00;
    }

.btn-secondary {
    color: #fff;
    background-color: #6c757d;
    border-color: #6c757d;
}

    .btn-secondary:hover {
        color: #fff;
        background-color: #262c31;
        border-color: #000000;
    }

.btn-danger {
    color: #fff;
    background-color: #dc3545;
    border-color: #dc3545;
}

    .btn-danger:hover {
        color: #fff;
        background-color: #c82333;
        border-color: #bd2130;
    }

.btn-outline-danger {
    color: #dc3545;
    background-color: transparent;
    background-image: none;
    border-color: #dc3545;
}

    .btn-outline-danger:hover {
        color: #fff;
        background-color: #dc3545;
        border-color: #dc3545;
    }

.btn-group-sm > .btn, .btn-sm {
    padding: 0.2rem .3rem;
    font-size: .775rem;
    line-height: 1.5;
    border-radius: .2rem;
    width: 3%;
}

.btn-input {
    border: 1px solid #000000a8;
    text-align: center;
    white-space: nowrap;
    margin-bottom: 0;
    vertical-align: middle;
}

@media print {
    /* styles go here */
    i.no-print, no-print, #header, input.no-print, button.no-print {
        display: none;
    }
}

#print-section {
    display: none;
}

.spinner-wrapper {
    background-color: #8080807a;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    z-index: 1;
}

#loading-icon {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 5;
}

    #loading-icon p {
        color: black;
    }

.blur {
    filter: blur(5px);
}

.delete-icon {
    cursor: pointer;
    color: red;
    font-size: 20px !important;
}

.info-icon {
    cursor: default;
    color: #2b8eff;
    font-size: 16px !important;
}

/*Card values*/
.card {
    display: table;
    background-color: white;
    margin-top: 50px;
    margin-left: auto;
    margin-right: auto;
    box-shadow: 10px black;
    border: 0.5px solid #40404070;
    -moz-box-shadow: inset 2px 2px 2px rgba(255, 255, 255, .4), inset -2px -2px 2px rgba(0, 0, 0, .4);
    padding: 30px;
    box-shadow: 0 2px 2px 0 rgba(0,0,0,0.14), 0 3px 1px -2px rgba(0,0,0,0.12), 0 1px 5px 0 rgba(0,0,0,0.2);
}
